Option Explicit

Dim m_objSensor
Dim m_objView

Dim m_sCommand

Set m_objSensor = CreateObject("Instrument.TCPIP")
Set m_objView = CreateObject("HunterLab.DataView")
With m_objView
    .RegistryKey = "STHTComms"
    .Caption = "STHT Communications Test"
End With
With m_objSensor
    .RemoteHost = "207.176.71.111"
    .RemotePort = 10001
    .TimeoutRetries = 0
    .OpenTCPIPPort
    If .IsConnected Then
        Do
            m_sCommand = InputBox("Command:", , m_sCommand)
            If Len(m_sCommand) = 0 Then Exit Do
            m_objView.Data = .SendCommand(CStr(m_sCommand))
        Loop
    End If
    .CloseTCPIPPort
End With
MsgBox "done"

