Option Explicit

Dim m_objSensor
Dim m_objButton
Dim m_objView

Dim m_bStop

Sub Button_OnOK()
    m_bStop = True
End Sub

Sub Sensor_Message(ByVal sBody)
    m_objView.Data = sBody
End Sub

Set m_objSensor = CreateObject("Instrument.TCPIP")
Set m_objView = CreateObject("HunterLab.DataView")
Set m_objButton = CreateObject("HunterLab.UserInput")
WScript.ConnectObject m_objSensor, "Sensor_"
WScript.ConnectObject m_objButton, "Button_"
With m_objButton
    .Settings = vbInformation
    .OKCaption = "Stop"
    .Prompt = ""
End With
With m_objView
    .RegistryKey = "STHTComms"
    .Caption = "STHT Communications Test"
End With
With m_objSensor
    .RemoteHost = "207.176.71.111"
    .RemotePort = 10001
    .TimeoutRetries = 0
    .PollingInterval = 100
    .OpenTCPIPPort
    .SendCommand "R1"
    Do
        WScript.Sleep 50
    Loop Until m_bStop
    .SendCommand "R"
    .CloseTCPIPPort
End With

